import { ComposedConfigurationFactory } from '../Compose';
declare type GetCurrentTime = () => Date;
export declare type CacheableConfigurationFactoryOptions = {
    reloadEvery: TimeInterval;
};
export declare const createCacheableConfigurationFactory: <TConfiguration, TLoaderOptions>(innerFactory: ComposedConfigurationFactory<TConfiguration, TLoaderOptions>, options: CacheableConfigurationFactoryOptions, getCurrentTime?: GetCurrentTime) => ComposedConfigurationFactory<TConfiguration, TLoaderOptions>;
export declare class TimeInterval {
    private readonly ms;
    private constructor();
    getMs: () => number;
    and: (interval: TimeInterval) => TimeInterval;
    static ms: (ms: number) => TimeInterval;
    static seconds: (seconds: number) => TimeInterval;
    static minutes: (minutes: number) => TimeInterval;
    static hours: (hours: number) => TimeInterval;
}
export {};
//# sourceMappingURL=CacheableConfigurationFactory.d.ts.map